Bug 474272 - FutureFeature: Update to latest intel cpu microcode data file.
FutureFeature: Update to latest intel cpu microcode data file.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: microcode_ctl (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Kyle McMartin
Fedora Extras Quality Assurance
http://downloadcenter.intel.com/Detai...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 21:05 EST by Need Real Name
Modified: 2015-08-31 23:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
switched version to 12. RFE still applies to latest release.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-16 16:03:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2008-12-02 21:05:35 EST
Description of problem:

Any chance of switching to the latest intel cpu microcode data file (microcode.dat) in time for fedora 11? 

I thought that since we're using the microcode upload feature, might as well be using the latest version of microcode.dat for processor errata fixes & optimisations.

The latest intel CPU microcode file is "microcode-20080910.dat" - available here:

http://downloadcenter.intel.com/Detail_Desc.aspx?agr=Y&ProductID=2558&DwnldID=14303&strOSs=39&OSFullName=Linux*&lang=eng

I also thought of possibly keeping the date in the data file name like intel do, so one can tell what version is being loaded, ie. "microcode-20080910.dat" instead of just "microcode.dat"

Appreciate this isn't a bug, but i wasn't sure where to submit RFE's/future features. Cheers.
Comment 1 Need Real Name 2008-12-03 20:26:21 EST
Reading the microcode page at urbanmyth, seems microcode_ctl isn't being updated past 1.17 - the only thing that's changed for a while has been the microcode.dat file itself.

Would be cool though if the latest "microcode-20080910.dat" could be dropped in for Fedora 11.
Comment 2 Need Real Name 2009-04-05 19:33:16 EDT
There's an newer Intel microcode.dat file out now,

version microcode-20090330.tgz.

Suppose its too late to get it in for Fedora 11 though. 

Maybe 12?
Comment 3 Bug Zapper 2009-11-18 07:40:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Need Real Name 2009-11-19 18:12:43 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
switched version to 12. RFE still applies to latest release.
Comment 5 Paul Jenner 2010-01-02 07:41:19 EST
In microcode_ctl-1.17-1.56.fc12 I see the Intel microcode has been updated to microcode-20090927.dat

The version can be confirmed by looking at the ASCII text header in /lib/firmware/microcode.dat

Does that mean this RFE can be closed?
Comment 6 Need Real Name 2010-02-16 15:56:44 EST
Heads up...new intel microcode.dat file just released – microcode-20100209.dat

http://downloadcenter.intel.com/Detail_Desc.aspx?agr=Y&DwnldID=18683&lang=eng

Any chance of it making it in for Fedora 13?

We really need someone to be in charge of putting the lastest microcode file in for every new Fedora release.
Comment 7 Kyle McMartin 2010-02-16 16:03:55 EST
It's already been done.

Note You need to log in before you can comment on or make changes to this bug.